Name:           rfswitch
Version:        1.1
Release:        1%{?dist}
Summary:        Software part of the Radio Frequency kill switch.

Group:          System Environment/Kernel
License:        GPL
URL:            http://rfswitch.sourceforge.net/
Source0:        http://downloads.sourceforge.net/files/rfswitch/rfswitch-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	rfswitch-kmod-common = %{version}
Requires:	rfswitch-kmod >= %{version}
BuildArch:	noarch   

%description
This project enables users to change the status of their wireless cards' radio on
laptops which do not use a hardware based wireless radio switch.
This is the common part.

%prep
%setup -q


%build

%install
rm -rf $RPM_BUILD_ROOT
cat > rfswitch.modprobe <<EOF
# kwizart rfswitch wireless modprobe.
# Choose To uncomment Packard Bell or Averatec
# See the README for others options.
#options av5100 radio=0
#options pbe5 radio=0
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 rfswitch.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/rfswitch

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc FILES ISSUES LICENSE README
%{_sysconfdir}/modprobe.d/rfswitch



%changelog
* Mon Dec 04 2006 kwizart < kwizart at gmail.com > - 0.5.1-1.fc6
- Initial Release.
